#!/bin/bash

db2html PyQwt.sgml

mv PyQwt/t1.html PyQwt/introduction.html
mv PyQwt/x20.html PyQwt/installation.html
mv PyQwt/x220.html PyQwt/reference.html

perl -pi -e \
"
s|t1.html|introduction.html|g ;
s|x20.html|installation.html|g ;
s|x220.html|reference.html|g ;
" PyQwt/*.html

#s|NumericExeLink|http://prdownloads.sourceforge.net/numpy/NumericExe|g ;
perl -pi -e \
"
s|NumericExeLink|http://gerard.vermeulen.free.fr/NumericExe|g ;
s|PythonExeLink|http://www.python.org/ftp/python/2.2.1/PythonExe|g ;
s|PyQtExeLink|http://www.riverbankcomputing.co.uk/download/PyQt/PyQtExe|g ;
s|PyQtSrcLink|http://www.riverbankcomputing.co.uk/download/PyQt/PyQtSrc|g ;
s|PyQtZipLink|http://www.riverbankcomputing.co.uk/download/PyQt/PyQtZip|g ;
s|PyQwtExeLink|http://gerard.vermeulen.free.fr/PyQwtExe|g ;
s|PyQwtSrcLink|http://gerard.vermeulen.free.fr/PyQwtSrc|g ;
s|PyQwtZipLink|http://gerard.vermeulen.free.fr/PyQwtZip|g ;
s|QtNcExeLink|ftp://ftp.trolltech.com/qt/non-commercial/QtNcExe|g ;
s|SipSrcLink|http://www.riverbankcomputing.co.uk/download/sip/SipSrc|g ;
s|SipZipLink|http://www.riverbankcomputing.co.uk/download/sip/SipZip|g ;
" PyQwt/*.html

perl -pi -e \
"
s|NumericExe|Numeric-21.3.win32-py2.2.exe|g ;
s|PythonExe|Python-2.2.1.exe|g ;
s|PyQtExe|PyQt-3.3-Qt-NC.exe|g ;
s|PyQtSrc|PyQt-3.3.2.tar.gz|g ;
s|PyQwtExe|PyQwt-sip332_041-Qt-NC.win32-py2.2.exe|g ;
s|PyQwtSrc|PyQwt-sip332_041.tar.bz2|g ;
s|PyQwtZip|PyQwt-sip332_041.zip|g ;
s|PyQtZip|PyQt-3.3.2.zip|g ;
s|QtNcExe|QtWin230-NonCommercial.exe|g ;
s|SipSrc|sip-3.3.2.tar.gz|g ;
s|SipZip|sip-3.3.2.zip|g ;
" PyQwt/*.html

grep -e "FIXME" PyQwt/*.html
